Package org.apache.commons.math3.linear

# Class OpenMapRealVector.OpenMapSparseIterator

java.lang.Object
org.apache.commons.math3.linear.OpenMapRealVector.OpenMapSparseIterator

All Implemented Interfaces:
  `Iterator<RealVector.Entry>`

Enclosing class:
  `OpenMapRealVector`

protected class OpenMapRealVector.OpenMapSparseIterator extends Object implements Iterator<RealVector.Entry>
Iterator class to do iteration over just the non-zero elements. This implementation is fail-fast, so cannot be used to modify any zero element.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OpenMapSparseIterator()`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`RealVector.Entry`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### OpenMapSparseIterator

protected OpenMapSparseIterator()
Simple constructor.

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<RealVector.Entry>`

### next

public RealVector.Entry next()

Specified by:
  `next` in interface `Iterator<RealVector.Entry>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<RealVector.Entry>`